#
# spec file for package atril
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover   3
%define _version 1.18
%define typelib1 typelib-1_0-AtrilDocument-1_5_0
%define typelib2 typelib-1_0-AtrilView-1_5_0
Name:           atril
Version:        1.18.0
Release:        1.1
Summary:        MATE Desktop document viewer
License:        GPL-2.0 and LGPL-2.0
Group:          System/GUI/Other
Url:            https://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  libxml2-python
BuildRequires:  mate-common >= %{_version}
BuildRequires:  pkgconfig
BuildRequires:  texlive-devel
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(ddjvuapi)
BuildRequires:  pkgconfig(gail-3.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14
BuildRequires:  pkgconfig(libcaja-extension) >= %{_version}
BuildRequires:  pkgconfig(libgxps)
BuildRequires:  pkgconfig(libpst)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libspectre)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(poppler-glib) >= 0.22.0
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(zlib)
Requires:       %{name}-backends = %{version}
Requires:       mate-desktop-gsettings-schemas >= %{_version}
Recommends:     %{name}-lang
# mate-document-viewer was last used in openSUSE 13.1.
Provides:       mate-document-viewer = %{version}
Obsoletes:      mate-document-viewer < %{version}
Obsoletes:      mate-document-viewer-lang < %{version}
%glib2_gsettings_schema_requires
%if 0%{?suse_version} >= 1320 || (0%{?sle_version} >= 120100 && 0%{?is_opensuse})
BuildRequires:  pkgconfig(webkit2gtk-4.0)
%endif

%description
Atril is a document viewer capable of displaying multiple and single
page document formats like PDF and Postscript.

%lang_package

%package -n libatrildocument%{sover}
Summary:        MATE Document Viewer -- System Library
Group:          System/Libraries
Obsoletes:      mate-document-viewer-libs-3 < %{version}

%description -n libatrildocument%{sover}
Evince is a document viewer capable of displaying multiple and
singlepage document formats like PDF and PostScript.

%package -n libatrilview%{sover}
Summary:        MATE Document Viewer -- System Library
Group:          System/Libraries
Obsoletes:      mate-document-viewer-libs-3 < %{version}

%description -n libatrilview%{sover}
Evince is a document viewer capable of displaying multiple and
singlepage document formats like PDF and PostScript.

%package -n %{typelib1}
Summary:        MATE Desktop bindings for AtrilDocument
Group:          System/GUI/Other

%description -n %{typelib1}
Atril is a document viewer capable of displaying multiple and single
page document formats like PDF and Postscript.

%package -n %{typelib2}
Summary:        MATE Desktop bindings for AtrilView
Group:          System/GUI/Other

%description -n %{typelib2}
Atril is a document viewer capable of displaying multiple and single
page document formats like PDF and Postscript.

%package backends
Summary:        Atril shared libraries (View and Document)
Group:          System/Libraries
Requires:       mathjax
# mate-document-viewer-libs-3 was last used in openSUSE 13.1.
Provides:       mate-document-viewer-libs-3 = %{version}
Obsoletes:      mate-document-viewer-libs-3 < %{version}

%description backends
Atril is a document viewer capable of displaying multiple and single
page document formats like PDF and Postscript.

%package -n caja-extension-%{name}
Summary:        Atril extension for Caja file manager
Group:          System/GUI/Other
Requires:       %{name} = %{version}
Requires:       caja >= %{_version}
Supplements:    packageand(caja:%{name})
# atril-caja was last used in openSUSE Leap 42.1.
Provides:       %{name}-caja = %{version}
Obsoletes:      %{name}-caja < %{version}
# mate-document-viewer-caja was last used in openSUSE 13.1.
Provides:       mate-document-viewer-caja = %{version}
Obsoletes:      mate-document-viewer-caja < %{version}

%description -n caja-extension-%{name}
Atril is a document viewer capable of displaying multiple and single
page document formats like PDF and Postscript.

This package contains the Atril extension for the Caja file manager.
It adds an additional tab called "Document" to the file properties
dialog.

%package devel
Summary:        MATE Desktop document viewer development files
Group:          Development/Libraries/Other
Requires:       %{name}-backends = %{version}
Requires:       %{typelib1} = %{version}
Requires:       %{typelib2} = %{version}
# mate-document-viewer-devel was last used in openSUSE 13.1.
Provides:       mate-document-viewer-devel = %{version}
Obsoletes:      mate-document-viewer-devel < %{version}

%description devel
Atril is a document viewer capable of displaying multiple and single
page document formats like PDF and Postscript.

%package thumbnailer
Summary:        Atril thumbnailer extension for Caja
Group:          System/GUI/Other
Requires:       %{name} = %{version}
Requires:       caja >= %{_version}

%description thumbnailer
Atril is a document viewer capable of displaying multiple and single
page document formats like PDF and Postscript.

This package contains the Atril extension for the Caja file manager.

%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure \
  --disable-static                    \
  --with-pic                          \
  --libexecdir=%{_libexecdir}/%{name} \
  --enable-introspection
make %{?_smp_mflags} V=1

%install
%make_install
%find_lang %{name} %{?no_lang_C}
find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file %{name}
%fdupes %{buildroot}%{_datadir}/

%post
%icon_theme_cache_post
%desktop_database_post
%mime_database_post
%glib2_gsettings_schema_post

%postun
%icon_theme_cache_post
%desktop_database_postun
%mime_database_postun
%glib2_gsettings_schema_post

%post -n libatrilview%{sover} -p /sbin/ldconfig

%postun -n libatrilview%{sover} -p /sbin/ldconfig

%post -n libatrildocument%{sover} -p /sbin/ldconfig

%postun -n libatrildocument%{sover} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_bindir}/%{name}-previewer
%{_bindir}/%{name}-thumbnailer
%{_datadir}/%{name}/
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/%{sover}/
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/%{name}*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/help/C/%{name}/
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/*/*
%{_mandir}/man?/*.?%{?ext_man}

%files -n libatrilview%{sover}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libatrilview.so.%{sover}*

%files -n libatrildocument%{sover}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libatrildocument.so.%{sover}*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/

%files -n caja-extension-%{name}
%defattr(-,root,root)
%{_datadir}/caja/extensions/libatril-properties-page.caja-extension
%{_libdir}/caja/

%files -n %{typelib1}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/AtrilDocument-1.5.0.typelib

%files -n %{typelib2}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/AtrilView-1.5.0.typelib

%files backends
%defattr(-,root,root)
%doc AUTHORS README COPYING
%{_libdir}/%{name}/%{sover}/backends/

%files thumbnailer
%defattr(-,root,root)
%dir %{_datadir}/thumbnailers/
%{_datadir}/thumbnailers/atril.thumbnailer

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue Mar 14 2017 sor.alexei@meowr.ru
- Update to version 1.18.0:
  * NEWS: use consistent, project wide, markdown-like formatting to
    make generating release announcements easier.
  * Build: Require caja >= 1.17.1.
  * Move to GTK+3 (require GTK+ >= 3.14), drop the GTK+2 code and
  - -with-gtk build option.
  * [comics] Add support for unarchiver (unar and lsar).
  * [libview] Increase the page cache size to reduce the number of
    page reloads.
  * Remove the metadata migration code.
  * Force the X11 backend.
  * Fix lots of GTK+ deprecations.
  * Fix some a11y issues.
  * Some more fixes and cleanups.
  * Update translations.
- Switch to Gtk3.
* Sun Mar  5 2017 sor.alexei@meowr.ru
- Switch to Gtk2 (boo#1028022, gh#mate-desktop/caja#657).
* Tue Nov  1 2016 sor.alexei@meowr.ru
- Update to version 1.16.1:
  * Require poppler 0.22.0 (for case-sensitive search in PDFs).
  * [comics] Fix MIME type comparisons.
  * [comics] Support an application/vnd.comicbook+zip MIME type.
  * [djvu] Support an image/vnd.djvu+multipage MIME type.
  * [pdf] Fix case-sensitive search.
  * thumbnailer: Skip epub files (thumbnail generation never
    worked there and caused segfaults).
  * Some code cleanups.
  * Update translations.
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Build: Require poppler 0.18.0.
  * Use GtkAboutDialog instead of MateAboutDialog.
  * Drop dependency on libmate-desktop and --without-matedesktop
    build option.
  * Update toolbar-editor from libegg.
  * Update synctex to 1.18.
  * Split dual mode option into dual mode with odd and even pages
    on the left.
  * Add Ctrl+Up/Down keybindings for previous/next search results.
  * Add caja-sendto support for sending current document by email,
    to removable device, etc.
  * Improve named destinations support with --named-dest command line
    argument and dbus support.
  * [dvi] Use t1 font mapping files.
  * GTK+3: Add style class for view.
  * GTK+3: Fix a possible crash when building with introspection
    enabled.
  * GTK+3: Fix lots of deprecations.
  * Some more fixes and cleanups.
  * Update translations.
- Switch to Gtk3.
* Wed Aug 10 2016 sor.alexei@meowr.ru
- Update to version 1.14.2:
  * Add setting to set page cache size.
  * Add setting to disable auto-reload.
  * Fix some issues with rotated documents.
  * Some more fixes and cleanups.
  * Make distcheck use currently selected GTK+ version.
  * Update translations.
* Tue May 24 2016 sor.alexei@meowr.ru
- Add a missing mathjax dependency to atril-backends.
- Rename atril-caja package to caja-extension-atril.
- Supplement caja-extension-atril if atril and caja are installed.
* Sun May 22 2016 sor.alexei@meowr.ru
- Update to version 1.14.1:
  * Fix several random webview related crashes.
  * Update translations.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0:
  * Update copyrights, mention MATE team in Caja extension.
  * GTK+3: Add CSS name EggToolbarEditor for 3.20.
  * Some more fixes and cleanups.
  * Update translations.
  * Fix Changelog generation.
* Sun Feb 21 2016 sor.alexei@meowr.ru
- Update to version 1.13.1:
  * totem-screensaver: Use org.gnome.SessionManager to inhibit
    screensaver.
  * totem-screensaver: Don't use old API and add ref to TotemScrsaver.
  * totem-screensaver: Fix assertions on entry to TotemScrsaver
    methods.
  * GTK+3: Add atril-window style class to top level.
  * Fix some build warnings.
* Mon Jan 25 2016 sor.alexei@meowr.ru
- Update to version 1.13.0:
  * Update copyrights, mention MATE team in caja extension.
  * Drop MateConf migration script.
* Fri Dec 18 2015 sor.alexei@meowr.ru
- Update to 1.12.2:
  * [epub] Fix crash when accessibility is enabled.
* Sun Nov 29 2015 sor.alexei@meowr.ru
- Update to 1.12.1:
  * [dvi] Fix crash due to regression.
  * Update translations.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0.
* Wed Oct 14 2015 sor.alexei@meowr.ru
- Update to 1.11.0:
  * Make smclient mandatory.
  * [epub] drop embedded MathJax in favour of using distro-packaged
  one.
  * Retrieve strings directly from gschema (requires intltool
  0.50.1).
  * Drop mate-icon-theme dependency.
  * Several code cleanups.
* Mon Aug 31 2015 sor.alexei@meowr.ru
- Update to 1.10.2:
  * Fix several command line options.
  * Fix several findbar issues.
  * Make libmatedesktop optional.
  * [pdf] Fix saving annotations added to different pages.
* Mon Jul 13 2015 sor.alexei@meowr.ru
- Update to 1.10.1:
  * Fix crash when pressing Esc with no document opened.
  * Gtk3: Add webkit2gtk-4.0 and prefer it over 3.0.
  * Help fixes.
* Tue May  5 2015 sor.alexei@meowr.ru
- Update to 1.10.0 (changes since 1.9.2):
  * [webkit] Do not connect signal handlers more than once.
  * [webkit] Gtk2: use signals to get notifications about load
    finish and errors (instead of polling in idle function).
  * [webkit] indicate that job failed when the thumbnail loading
    fails.
  * [webkit] changed lock/unlock logic so that there's no locking in
    a function and unlocking in a callback.
  * [libdocument] Fix saving attachments when the name contains a
    path.
- Spec cleanup.
* Thu Jan 22 2015 p.drouand@gmail.com
- Update to version 1.9.2 (unstable)
  * Fix some crashes
  * comics backend: add support for bsdtar
* Thu Dec 11 2014 p.drouand@gmail.com
- Update to version 1.9.1 (unstable)
  + Add ini file for caja extension
  + Add appdata file
  + Many fixed memory leaks from monsta
  + sidebar-thumbnails: connect to job finished signal before scheduling
    the job
  + zero-init all signals arrays
  + Add support for external links to EvViewPresentation
  + Save zoom factor in default settings when sizing mode is free
  + [pdf] Add support for OCG State actions
  + [pdf] Update to poppler api changes
  + [pdf] Do not resolve named destinations in the backend
  + [pdf] Bump poppler requirements to 0.16.0
  + [pdf] Implement document_links_find_link_page()
  + [djvu] Implement document_links_find_link_page()
  + [libdocument] Use find_link_page() instead of find_link_dest() in
    get_dest_page()
  + GDK_KEY_* keys are Gtk+2 as well.
  + [shell] Add timestamp parameter to SyncView
  + [shell] Use new methods to get page and page label from a link
  + [libview] The updated GtkComboBox api is in Gtk+2.24
  + [dvi] Fix drawing glyphs with transparency
  + [shell] Send the URI of the input file instead of the filename in SyncSource
  + [libdocument] Add xz compression support
  + [pdf] Support .pdf.xz files
  + [shell] Add EvBookmarks to handle internal document bookmarks
  + [backends] Fix several security issues in the dvi-backend
  + Small a11y fixes
  + Remember the current page when document is reloaded in presentation mode
  + presentation: Allow to change rotation in presentation mode
  + Rotate with CTRL+Left/Right in presentation mode too
  + Add .png extension when saving images using DnD
  + Gtk3: Use gtk_paned_new() instead gtk_[h|v]paned_new()
  + Gtk3: Add GtkStyleContect support
  + Gtk3: Don't use gdk_cursor_unref()
  + Gtk3: Use gtk_widget_render_icon_pixbuf()
  + Gtk3: presentation: Make sure background window is black by default
    in presentation mode
* Sun Oct 26 2014 p.drouand@gmail.com
- Update to version 1.9.0 (unstable)
  + Add epub support (part of GSoC 2014).
  + Use MateAboutDialog from libmate-desktop.
- Fix version requirements
- Fix caja subpackage description
- Fix caja subpackage dependency; make depend on caja instead of
  mate-file-manager
- Add a -thumbnailer subpackage
- Add pkgconfig(webkit-1.0) build requirement; needed to build
  epub format backend
- Add pkgconfig(mate-desktop-2.0) build requirement; needed to build
  with about-dialog support
* Mon Sep 29 2014 p.drouand@gmail.com
- Update to version 1.8.1
  + Fix crash when clicking empty canvas while loading.
  + Fix FTBFS of atril when build with the clang compiler
  + Add keywords key to .desktop files, close #78
* Fri Sep  5 2014 p.drouand@gmail.com
- Fix mate-desktop-gsettings-schemas version requirement
* Wed Mar 12 2014 p.drouand@gmail.com
- Fix correctly conflicts with mate-document-viewer
* Mon Mar 10 2014 p.drouand@gmail.com
- Fix Provides/Obsoletes tags to avoid conflicts with
  mate-document-viewer
- atril needs atril-backends to work correctly; add a Requires tag
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
* Thu Feb 20 2014 p.drouand@gmail.com
- Initial release (version 1.7.90)
